Upstream information

CVE-2021-4158 at MITRE

Description

** RESERVED ** This candidate has been reserved by an organization or individual that will use it when announcing a new security problem. When the candidate has been publicized, the details for this candidate will be provided.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

SUSE Bugzilla entry: 1194063 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • qemu >= 6.2.0-40.1
  • qemu-accel-qtest >= 6.2.0-40.1
  • qemu-accel-tcg-x86 >= 6.2.0-40.1
  • qemu-arm >= 6.2.0-40.1
  • qemu-audio-alsa >= 6.2.0-40.1
  • qemu-audio-jack >= 6.2.0-40.1
  • qemu-audio-oss >= 6.2.0-40.1
  • qemu-audio-pa >= 6.2.0-40.1
  • qemu-audio-spice >= 6.2.0-40.1
  • qemu-block-curl >= 6.2.0-40.1
  • qemu-block-dmg >= 6.2.0-40.1
  • qemu-block-gluster >= 6.2.0-40.1
  • qemu-block-iscsi >= 6.2.0-40.1
  • qemu-block-nfs >= 6.2.0-40.1
  • qemu-block-rbd >= 6.2.0-40.1
  • qemu-block-ssh >= 6.2.0-40.1
  • qemu-chardev-baum >= 6.2.0-40.1
  • qemu-chardev-spice >= 6.2.0-40.1
  • qemu-extra >= 6.2.0-40.1
  • qemu-guest-agent >= 6.2.0-40.1
  • qemu-hw-display-qxl >= 6.2.0-40.1
  • qemu-hw-display-virtio-gpu >= 6.2.0-40.1
  • qemu-hw-display-virtio-gpu-pci >= 6.2.0-40.1
  • qemu-hw-display-virtio-vga >= 6.2.0-40.1
  • qemu-hw-s390x-virtio-gpu-ccw >= 6.2.0-40.1
  • qemu-hw-usb-host >= 6.2.0-40.1
  • qemu-hw-usb-redirect >= 6.2.0-40.1
  • qemu-hw-usb-smartcard >= 6.2.0-40.1
  • qemu-ipxe >= 1.0.0+-40.1
  • qemu-ivshmem-tools >= 6.2.0-40.1
  • qemu-ksm >= 6.2.0-40.1
  • qemu-kvm >= 6.2.0-40.1
  • qemu-lang >= 6.2.0-40.1
  • qemu-microvm >= 6.2.0-40.1
  • qemu-ppc >= 6.2.0-40.1
  • qemu-s390x >= 6.2.0-40.1
  • qemu-seabios >= 1.15.0_0_g2dd4b9b-40.1
  • qemu-sgabios >= 8-40.1
  • qemu-skiboot >= 6.2.0-40.1
  • qemu-tools >= 6.2.0-40.1
  • qemu-ui-curses >= 6.2.0-40.1
  • qemu-ui-gtk >= 6.2.0-40.1
  • qemu-ui-opengl >= 6.2.0-40.1
  • qemu-ui-spice-app >= 6.2.0-40.1
  • qemu-ui-spice-core >= 6.2.0-40.1
  • qemu-vgabios >= 1.15.0_0_g2dd4b9b-40.1
  • qemu-vhost-user-gpu >= 6.2.0-40.1
  • qemu-x86 >= 6.2.0-40.1
Patchnames:
openSUSE Tumbleweed GA qemu-6.2.0-40.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 qemu Not affected
SUSE CaaS Platform 4.0 qemu Not affected
SUSE CaaS Platform 4.5 qemu Not affected
SUSE Enterprise Storage 6 qemu Not affected
SUSE Enterprise Storage 7 qemu Not affected
SUSE Linux Enterprise Desktop 15 SP2 qemu Not affected
SUSE Linux Enterprise Desktop 15 SP3 qemu Not affected
SUSE Linux Enterprise Desktop 15 SP4 qemu Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 qemu Already fixed
SUSE Linux Enterprise Micro 5.0 qemu Not affected
SUSE Linux Enterprise Micro 5.1 qemu Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 qemu Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 qemu Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 qemu Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP2 qemu Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 qemu Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 qemu Already fixed
SUSE Linux Enterprise Server 12 SP2 BCL qemu Not affected
SUSE Linux Enterprise Server 12 SP3 BCL qemu Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS qemu Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS qemu Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP5 qemu Not affected
SUSE Linux Enterprise Server 15 ESPOS qemu Not affected
SUSE Linux Enterprise Server 15 LTSS qemu Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS qemu Not affected
SUSE Linux Enterprise Server 15 SP2 qemu Not affected
SUSE Linux Enterprise Server 15 SP2 LTSS qemu Not affected
SUSE Linux Enterprise Server 15 SP3 qemu Not affected
SUSE Linux Enterprise Server 15 SP4 qemu Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 qemu Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 qemu Already fixed
SUSE Linux Enterprise Storage 7 qemu Not affected
SUSE Linux Enterprise Storage 7.1 qemu Not affected
SUSE Manager Proxy 4.1 qemu Not affected
SUSE Manager Proxy 4.2 qemu Not affected
SUSE Manager Proxy 4.3 qemu Already fixed
SUSE Manager Retail Branch Server 4.1 qemu Not affected
SUSE Manager Retail Branch Server 4.2 qemu Not affected
SUSE Manager Retail Branch Server 4.3 qemu Already fixed
SUSE Manager Server 4.1 qemu Not affected
SUSE Manager Server 4.2 qemu Not affected
SUSE Manager Server 4.3 qemu Already fixed
SUSE OpenStack Cloud 8 qemu Not affected
SUSE OpenStack Cloud 9 qemu Not affected
SUSE OpenStack Cloud Crowbar 8 qemu Not affected
SUSE OpenStack Cloud Crowbar 9 qemu Not affected
suse/sles/15.4/libguestfs-tools:0.49.0
suse/sles/15.4/virt-launcher:0.49.0
qemuAlready fixed
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
qemuNot affected